<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddDialPlanTagReq StructType
 * @subpackage Structs
 */
class AddDialPlanTagReq extends APIRequest
{
    /**
     * The dialPlanTag
     * @var XDialPlanTag
     */
    public $dialPlanTag;
    /**
     * Constructor method for AddDialPlanTagReq
     * @uses AddDialPlanTagReq::setDialPlanTag()
     * @param XDialPlanTag $dialPlanTag
     */
    public function __construct(XDialPlanTag $dialPlanTag = null)
    {
        $this
            ->setDialPlanTag($dialPlanTag);
    }
    /**
     * Get dialPlanTag value
     * @return XDialPlanTag|null
     */
    public function getDialPlanTag()
    {
        return $this->dialPlanTag;
    }
    /**
     * Set dialPlanTag value
     * @param XDialPlanTag $dialPlanTag
     * @return AddDialPlanTagReq
     */
    public function setDialPlanTag(XDialPlanTag $dialPlanTag = null)
    {
        $this->dialPlanTag = $dialPlanTag;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddDialPlanTagReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
